#!/usr/bin/env python3

import socketserver
import http.server
import http.server

class ThreadingSimpleServer(socketserver.ThreadingMixIn,
                   http.server.HTTPServer):
    pass

import sys

if sys.argv[1:]:
    port = int(sys.argv[1])
else:
    port = 8000

Handler = http.server.SimpleHTTPRequestHandler
Handler.extensions_map={
        '.manifest': 'text/cache-manifest',
	'.html': 'text/html',
        '.png': 'image/png',
	'.jpg': 'image/jpg',
	'.svg':	'image/svg+xml',
	'.css':	'text/css',
	'.js':	'application/x-javascript',
	'.zip':	'application/zip',
	'.tar.gz':'application/octet-stream',
	'': 'application/octet-stream', # Default
    }


server = ThreadingSimpleServer(('', port), Handler)
try:
    while 1:
        sys.stdout.flush()
        server.handle_request()
except KeyboardInterrupt:
    print("Finished")

